Skip to main content

Create a snapshot policy

POST /account/{accountId}/providers/cloudmanager_cbs/api/v1/working-environment/{workingEnvironmentId}/snapshot-policy

Creates a snapshot policy with the user specified schedule, count and SnapMirror labels in a system.

Token usage: NetApp Console user token.

Parameters

Name Type In Required Description

accountId

string

path

True

Account ID

workingEnvironmentId

string

path

True

System ID

authorization

string

header

True

User token

X-Agent-Id

string

header

True

Request identifier

Request Body

Name Type Required Description

name

string

True

Snapshot policy name

copies

array[copies]

True

Example request
{
  "name": "string",
  "copies": [
    {
      "schedule-name": "string",
      "label": "string",
      "count": 0
    }
  ]
}

Response

Status: 200, Default response

Definitions

See Definitions

copies

Name Type Required Description

schedule-name

string

True

label

string

False

Label for SnapMirror operations

count

number

True

Number of snapshots to maintain for this schedule